Skip to main content
GET
What a contract charges, line by line, with the dates each price is good for.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
contract_id
string
pricing_type
string
description
string
amount
string
amount_currency_id
string
discount_percent
string
unit_of_measure
string
effective_from
string
effective_to
string
is_current
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

amount
number<numeric>
amount_currency_id
string<uuid>
contract_id
string<uuid>

Note: This is a Foreign Key to contracts.id.

description
string<character varying>
Maximum string length: 250
discount_percent
number<numeric>
effective_from
string<date>
effective_to
string<date>
id
string<uuid>

Note: This is a Primary Key.

is_current
boolean<boolean>
pricing_type
string<character varying>
Maximum string length: 30
unit_of_measure
string<character varying>
Maximum string length: 30